Server list
Documentation for Server list
Read time 2 minutesLast updated a year ago
Get a list of all game servers that match the criteria passed through the parameters.
Note: Prefer the Server List V3 endpoint.
https://api.multiplay.co.uk/cfp/v1/server/list
METHOD |
GET |
Request parameters
VARIABLE | DESCRIPTION | OPTIONAL |
accountserviceid | The parameter accepts an account service ID (ASID) associated with the specified resource. The credentials in the request header must have access to the ASID to perform the request. | No |
serverid | The parameter accepts one or more game server IDs. | Yes |
country_code | The parameter accepts a single country code. | Yes |
locationid | The parameter accepts a single location ID. You can get a list of all location IDs with the Server Location endpoint. | Yes |
active | The parameter accepts a boolean value. If set to or excluded, the response will include active game servers and inactive game servers. If set to , the response will only include inactive game servers. | Yes |
allocated | The parameter accepts a boolean value. If set to or excluded, the response will only include allocated game servers. If set to , the response will only include unallocated game servers. | Yes |
profileid | The parameter accepts a profile ID. The response will only include game servers running the specified profile ID. | Yes |
query_info | The parameter accepts a boolean value. If set to , the response will include query information about the game servers. If set to or excluded, the response won't include query information. | Yes |
Response fields
|
|
|
|
|---|---|---|---|
active | boolean | Status of this server | Yes |
allocated_uuid | string | ID of the allocation | Yes |
admin_locked | string | Admin lock means the server is undergoing maintenance or in a state that's unsuitable for a game session. | Yes |
country_code | string | Country code of this server | Yes |
game_port | integer | Network port for this server | No |
ip | string | IP (version 4) address of this server | No |
locationid | string | ID of the location of this server | Yes |
machineid | integer | ID of the machine this server is on | No |
name | string | Name of this server | Yes |
profileid | integer | ID of the profile used by this server | Yes |
query_port | integer | Network port for querying this server | Yes |
serverid | integer | ID of this server | Yes |
query_info | object | Info about this gameserver, such as maps and player capacity | Yes |
Query info object
|
|
|
|
|---|---|---|---|
players | integer | Number of players using this server | No |
max_players | integer | Player capacity for this server | No |
map | string | Game map being used by this server | No |
status | string | Status of this server | No |
Example request
curl --location --request GET 'https://api.multiplay.co.uk/cfp/v1/server/list?accountserviceid=<accountserviceid>&serverid=<serverid>&query_info=<query_info>' \--header 'Authorization: Basic YOUR_AUTH_CREDENTIALS'
Example response
{ "servers": [ { "active": <active>, "allocated_uuid": <allocated_uuid>, "admin_locked": <admin_locked>, "country_code": <country_code>, "game_port": <game_port>, "ip": <ip>, "locationid": <locationid>, "machineid": <machineid>, "name": <name>, "profileid": <profileid>, "query_port": <query_port>, "serverid": <serverid>, "query_info": { "players": <players>, "max_players": <max_players>, "map": <map>, "status": <status> } }, ... ]}